
/* Functional styling;
 * These styles are required for noUiSlider to function.
 * You don't need to change these rules to apply your design.
 */
/* Slider size and handle placement;
  */
.noUi-horizontal {
  height: 10px;
}

.noUi-horizontal .noUi-handle {
  width: 20px;
  height: 20px;
}

.noUi-vertical {
  width: 18px;
}

.noUi-vertical .noUi-handle {
  width: 28px;
  height: 34px;
}

/* Styling;
  */
.noUi-background {
  background: #FAFAFA;
  box-shadow: inset 0 1px 1px #f0f0f0;
}

.noUi-connect {
  background: #062e83;
}

.noUi-origin {
  border-radius: 2px;
}

.noUi-target {
  border-radius: 4px !important;
  border: 1px solid #D3D3D3;
  box-shadow: inset 0 1px 1px #F0F0F0, 0 3px 6px -5px #BBB;
}

.noUi-target.noUi-connect {
  box-shadow: inset 0 0 3px rgba(51, 51, 51, 0.45), 0 3px 6px -5px #BBB;
}

/* Handles and cursors;
  */
.noUi-dragable {
  cursor: w-resize;
}

.noUi-vertical .noUi-dragable {
  cursor: n-resize;
}

.noUi-handle {
  border: 1px solid #062e83;
  border-radius: 50% !important;
  background: #062e83;
  cursor: default;
}

.noUi-handle.noUi-active {
  color: 1px solid #062e83;
  background: #062e83;
}

.noUi-touch-area {
  background: #062e83;
  border-radius: 50% !important;
}

.noUi-handle::before,
.noUi-handle::after {
  content: none;
  display: none;
}

.noUi-active {
  background: #062e83;
}

/* Disabled state;
  */
[disabled].noUi-connect,
[disabled] .noUi-connect {
  background: #B8B8B8;
}

[disabled] .noUi-handle {
  cursor: not-allowed;
}

.noUi-handle.noUi-handle-upper,
.noUi-handle.noUi-handle-lower {
  border: none;
}

.noUi-txt-dir-rtl.noUi-horizontal.noUi-txt-dir-rtl {
  padding-left: 15px;
}

.selectize-control .selectize-input {
  background-clip: padding-box !important;
  border-radius: 0 !important;
  color: #495057 !important;
  display: block !important;
  padding: 0.375rem 0.75rem !important;
  transition: border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out !important;
  width: 100% !important;
  box-shadow: none;
}

.selectize-control .selectize-input:focus {
  background-color: #fff;
  border-color: #e2c3cc;
  box-shadow: 0 0 0 0.2rem #e4bac6;
  color: #495057;
  outline: 0;
}

.selectize-control .selectize-input .item {
  background: #062e83 !important;
  box-shadow: unset !important;
  border: none !important;
  color: white !important
}

.selectize-control .selectize-input .item .remove {
  background: inherit !important;
}

.selectize-control .selectize-input .item .remove:hover {
  background: rgba(0, 0, 0, 0.05);
}

.selectize-control .selectize-input .item.active,
.selectize-control .selectize-input .item.bg-bluecurious {
  background: #062e83 !important;
}

.selectize-dropdown .active:not(.selected) {
  background: #062e83 !important;
  color: #fff !important;
}

#toast-container {
  top: 75px;
}

/* #toast-container > div {
  direction: rtl;
  text-align: right;
}

#toast-container > div .toast-message {
  padding-right: 40px;
  padding-left: 12px;
}

#toast-container > div.toast-success:before,
#toast-container > div.toast-error:before,
#toast-container > div.toast-info:before,
#toast-container > div.toast-warning:before {
  float: right;
  margin-left: 10px;
  margin-right: 0;
} */

.custom-dropdown {
  position: absolute;
  width: 100%;
  overflow-y: auto;
  max-height: 230px;
  border: 1px solid var(--bs-gray-300);
  background: var(--bs-white);
  overflow-y: auto;
  display: none;
  z-index: 1000
}

.custom-dropdown div {
  padding: 8px;
  cursor: pointer
}

.custom-dropdown div:hover,
.custom-dropdown div.active{
  background: #0a399d;
  color: #fff;
}


.no-icon.is-invalid {
  background-image: none !important;
  padding-right: 0.75rem;
}